#ifndef _TIMER_H
#define _TIMER_H

#ifdef WIN32 
#define _WIN32
#endif

#include <stdlib.h>
#include <time.h>
#include <stdio.h>
#ifdef _WIN32
#include <windows.h>
#include <Timer/PreciseTimer.h>
#endif

/* file: fTimer.h
 * purpose: define a Timer class
 * revision log:
 */
class Timer
{
public:
	Timer()	;

	void startTimer(void) ;
	/* Allocates memory and starts timer
	*/

	unsigned long endTimer();
	/* Ends timer and frees up memory
	*/

	unsigned long test() ;

	private:
		//Member variables
	#ifndef _WIN32
		time_t  start_op_time;
	#else
		CPreciseTimer oPreciseTimer;
	#endif			
};





#endif
