#ifndef CHierNav_H
#define CHierNav_H

#include <xmdv/CHierDisplay.h>

class CHierNavHelper;

class CHierNav : public CHierDisplay
{
private:
	CHierNavHelper* helper;
	static int max_display_height;
	static ARR<double> contour_radius;
	static ARR< ARR<double> > tree_contour;
	static ARR< ARR<double> > tree_color;

public:
	CHierNav(CHierDisplayInformation* hier_info);
	~CHierNav() {}

    //draw the canvas
    void Draw();

    //event handlers
    void InputMouseMotion(int x, int y);
    void InputButtonPress(int button, int x, int y);
    void InputButtonRelease(int button, int x, int y);
    void ShowCaption(const char* message);	
	//void cfNavInit();

	friend void cfNavInit();
	friend void drawContours(double radius, double L, double R, double ypa, double width);
};


/* SID */
extern void SetupBrushParameters();

extern void cfNavInit();

#endif

