#ifndef CScatter_H
#define CScatter_H

#include <xmdv/ogl.h>

class CScatter
{
protected:
	CScatter();
    ~CScatter();

	bool ScatterTestDimensionality();
    double XMAP(int DIM, double VAL);
    double YMAP(int DIM, double VAL);
    double XINVMAP(int DIM, double VAL);
    double YINVMAP(int DIM, double VAL);
    void DrawScatterGrid(grCanvas *canvas);
    void DrawScatterGridWithTwoAxes(grCanvas *canvas);
    void DrawScatterGridWideAxes(grCanvas *canvas);
	void InputScatterFindPlot(grCanvas *canvas, int sx, int sy, int &X_dim, int &Y_dim);
	void InputScatterScalePlotSize(grCanvas *canvas, int X_dim, int Y_dim, double delta);
	void ScatterCaption(grCanvas *canvas, int x, int y);

	// PAUL: scatter_bounds
	// Used to calculate and save the 2D range of visible squares
	void SetDimBounds(grCanvas *);
	int xMinDim, xMaxDim;
	int yMinDim, yMaxDim;

	// PAUL: precalc_math
	ARR<double> xMapFactor, yMapFactor;
};

#endif



