///////////////////////////////////////////////////////////////////////////
/// \file ISubwindow.h
/// \brief Declaration of the ISubwindow interface
/// \date 5/9/2004
/// \author anilkpatro
///////////////////////////////////////////////////////////////////////////

#ifndef _ISUBWINDOW_H
#define _ISUBWINDOW_H

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//
#include <xmdv/Vec2.h>

// DEFINES
//

// FORWARD REFERENCES
//
class Image;
class colormap;

///
/// \ingroup 
///
/// <Brief Description>
///
/// USAGE:
/// <pre>
/// 	<Example usage of the class>
/// </pre>
/// \date 5/9/2004
/// \author anilkpatro
/// \version 1.0
/// \todo 
/// \bug 
///
class ISubwindow
{
public:		// methods

  /// \name LIFECYCLE
  //@{

	/// 
	/// Destructor
	/// 
	virtual ~ISubwindow() {}

  //@}

  /// \name OPERATIONS
  //@{

	virtual void		 Paint(Image *img,double startSample=0,double endSample=1.0,bool hilite=false)
	{}

  //@}

  /// \name ACCESS
  //@{

  //@}

  /// \name INQUIRY
  //@{

	virtual bool Contains(float x, float y) =0;

  //@}
};

// INLINE METHODS
//

#endif	// _ISUBWINDOW_H
