#include <cache/CacheEntryIterator.h>
#include <cache/DistanceController.h>


using namespace cache;
//Creates a new CacheEntryItertor
CacheEntryIterator::CacheEntryIterator(DistanceController* distController)
{
	this->distController = distController;
}

/*
* Returns the next candidate for replacement	
*/
ICacheEntry* CacheEntryIterator:: peek()
{
	return(this->distController->peek());
}

/*
* Removes the candidate for replacement	
*/
void CacheEntryIterator::remove()
{
	this->distController->remove();
}


/*
 *	Clears the state of the Controller
 */
CacheEntryIterator::~CacheEntryIterator()
{
	this->distController->clearState();
}

