#ifndef _CACHE_ENTRY_ITERATOR_H
#define _CACHE_ENTRY_ITERATOR_H

#include <cache/ICacheEntry.h>

namespace cache{

class DistanceController;

class CacheEntryIterator
{
public:
	CacheEntryIterator(DistanceController* distController);
	/*
	 * Returns the next candidate for replacement	
	 */
	ICacheEntry* peek();

	/*
	 * Removes the candidate for replacement	
	 */
	void remove();
	
	~CacheEntryIterator();

private:
	DistanceController* distController;
};
}
#endif